function connected_flag = checkConnected(G,verts)

if nargin == 1
    [~,C] = conncompAdj(G.adj);
elseif nargin == 2
    % trim to only examine induced graph of verts
    rows = G.adj(verts,:);
    ind_adj = rows(:,verts);
    [~,C] = conncompAdj(ind_adj);    
end

if all(C == 1)
    connected_flag = true;
else
    connected_flag = false;
end

end